# GET /v1/records

エピソードへの記録を取得することができます。

## フィールド

| 名前              | 概要                                                                                 |
| --------------- | ---------------------------------------------------------------------------------- |
| id              | 記録ID                                                                               |
| comment         | 記録したときに書かれた感想                                                                      |
| rating          | **\[非推奨]** 記録したときに付けられたレーティング。`0` から `5` までの数値が入っています。今後は `rating_state` を参照して下さい。 |
| rating\_state   | 記録したときに付けられたレーティング。`bad` `average` `good` `great` の4種類が入っています。                     |
| is\_modified    | この記録が編集されたかどうか                                                                     |
| likes\_count    | Likeされた数                                                                           |
| comments\_count | コメントされた数                                                                           |
| created\_at     | 記録された日時                                                                            |
| user            | この記録をした利用者の情報                                                                      |
| work            | この記録が紐づく作品情報。取得できるフィールドは [Works](/docs/ja/api/v1/works.md) と同じです。                  |
| episode         | この記録が紐づくエピソード情報                                                                    |

## パラメータ

| 名前                           | 概要                                                                             | 使用例                               |
| ---------------------------- | ------------------------------------------------------------------------------ | --------------------------------- |
| fields                       | レスポンスボディに含まれるデータのフィールドを絞り込みます。                                                 | fields=id,title                   |
| filter\_ids                  | 記録を記録IDで絞り込みます。                                                                | filter\_ids=1,2,3                 |
| filter\_episode\_id          | 記録をエピソードIDで絞り込みます。                                                             | filter\_episode\_id=1111          |
| filter\_has\_record\_comment | 記録を感想のあるなしで絞り込みます。感想付きの記録のみに絞り込むときは `true` を、感想の無い記録のみに絞り込むときは `false` を指定します。 | filter\_has\_record\_comment=true |
| page                         | ページ数を指定します。                                                                    | page=2                            |
| per\_page                    | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。                              | per\_page=30                      |
| sort\_id                     | 記録を記録IDで並び替えます。`asc` または `desc` が指定できます。                                       | sort\_id=desc                     |
| sort\_likes\_count           | 記録をLikeされた数で並び替えます。`asc` または `desc` が指定できます。                                   | sort\_likes\_count=desc           |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/records?filter_episode_id=74669&access_token=(access_token)
```

```javascript
{
  "records": [
    {
      "id": 425551,
      "comment": "ゆるふわ田舎アニメかと思ったらギャグと下ネタが多めのコメディアニメだった。これはこれで。日岡さんの声良いなあ。",
      "rating": 4,
      "is_modified": false,
      "likes_count": 0,
      "comments_count": 0,
      "created_at": "2016-04-11T14:19:13.974Z",
      "user": {
        "id": 2,
        "username": "shimbaco",
        "name": "Koji Shimba",
        "description": "アニメ好きが高じてこのサービスを作りました。聖地巡礼を年に数回しています。",
        "url": "http://shimba.co",
        "avatar_url": "https://api-assets.annict.com/paperclip/profiles/1/tombo_avatars/master/d8af7adc8122c96ba7639218fd8b5ede332d42f2.jpg?1431357292",
        "background_image_url": "https://api-assets.annict.com/paperclip/profiles/1/tombo_background_images/master/ee15d577fb2f2d61bdaf700cfab894b286a5762d.jpg?1486753229",
        "records_count": 1906,
        "created_at": "2014-03-02T15:38:40.000Z"
      },
      "work": {
        "id": 4670,
        "title": "くまみこ",
        "title_kana": "くまみこ",
        "media": "tv",
        "media_text": "TV",
        "season_name": "2016-spring",
        "season_name_text": "2016年春",
        "released_on": "",
        "released_on_about": "",
        "official_site_url": "http://kmmk.tv/",
        "wikipedia_url": "https://ja.wikipedia.org/wiki/%E3%81%8F%E3%81%BE%E3%81%BF%E3%81%93",
        "twitter_username": "kmmk_anime",
        "twitter_hashtag": "kumamiko",
        "episodes_count": 6,
        "watchers_count": 609
      },
      "episode": {
        "id": 74669,
        "number": "1",
        "number_text": "第壱話",
        "sort_number": 10,
        "title": "クマと少女 お別れの時",
        "records_count": 183,
        "record_comments_count": 53
      }
    },
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
